R4i SDHC Dual-Core noob question

Discussion in '3DS - Flashcards & Custom Firmwares' started by zainichi, Oct 20, 2015.

  1. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
    Hi guys,
    10.2.0-28U was just released, my currently 3DS firmware is the 10.1.0-27. I want to update my 3ds but I'm kinda doubtful, I'm thinking if my R4i card would still work if I update my firmware

    Here's a pic of my R4

    [​IMG]

    I have also checked the site but no updates from them whatsoever.

    Edit: forgot to mention that when I bought the r4, there was an error screen which says my r4 firmware is outdated but then I updated it then the r4 worked.
     
    Last edited by zainichi, Oct 20, 2015
  2. CitizenSnips

    CitizenSnips a seldom-used crab named Lucky

    Member
    627
    545
    Mar 10, 2015
    United States
    The r4 should work, I believe they haven't blocked ds flash cards in a long time.
     
  3. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
    I'm sorta new to this so sorry for the noob questions here. I forgot to mention that when I bought the r4, there was an error screen which says my r4 firmware is outdated but then I updated it then the r4 worked.

    Basically I'm just afraid the my r4 won't work if I update my 3ds firmware now and Thanks for the response might wait for a few more answers just to be sure.
     
  4. CitizenSnips

    CitizenSnips a seldom-used crab named Lucky

    Member
    627
    545
    Mar 10, 2015
    United States
    Yeah I think that happens when the kernel hasn't been updated on the r4, i have one too and i think I've gotten the same thing as you. i could confirm that it works if i decide to update if you wish
     
  5. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
    Alright if you can hit me up with this that would be really helpful to me because now I can only play the ones I got on my r4 because money. Thanks man! I appreciate your help.
     
  6. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    Nintendo didn't update the DS whitelist, nor TWL_FIRM with this update, so if your card is already working on 10.1, it should work on 10.2 too.

    Source: http://yls8.mtheall.com/ninupdates/titlelist.php?date=10-19-15_08-05-19&sys=ctr&reg=E

    Edit: Just note that if you update, 10.2 kills off browserhax and themehax/homemenuhax, so if you're interested in homebrew still, you'll need to be using ironhax, oot3dhax, or ninjhax.
     
    Last edited by daxtsu, Oct 20, 2015
    CitizenSnips likes this.
  7. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
  8. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    Sure, sorry. The whitelist is a list of DS games that the 3DS is allowed to run, and rejects games and flash cards that aren't on it. TWL_FIRM is the firmware that the 3DS boots when you run a DS or DSiWare game. If either one gets updated, it usually means they're trying to block flash cards. Since neither one was updated this time, the compatibility of your card shouldn't change at all.
     
  9. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015

    Hey buddy no need to be sorry here you're helping me a lot and the link sure is handy, Thanks for the information and I assure you no more noob questions like this because of the link and answers I got from you and CitizenSnips. Cheers!
     
    daxtsu likes this.
  10. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    You're welcome.
     
  11. StriderVM

    StriderVM GBAtemp Fan

    Member
    424
    87
    Jan 16, 2015
    I have the exact same NDS Flashcard and it works in emuNAND 10.1. AFAIK, they haven't updated the blocklist for NDS Flashcarts for a while now.

    "Walang magiging problema yan pre." :)
     
  12. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
    Have you tried updating your 3ds now to 10.2.0-28? Cheers fellow pinoy!

    "gusto ko na iupdate para lang sa online game ko kaso nattakot ako baka d ko na malaro ung mga ds games ko eh."
     
  13. StriderVM

    StriderVM GBAtemp Fan

    Member
    424
    87
    Jan 16, 2015
    Nah, I use rxTools, but it's emuNAND has been updates to the latest firmware and can browse the eShop no problem.

    Also you don't need to update your firmware to play online. You generally just need the latest update to the game itself, not the 3DS.
     
  14. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
    I also use e-shop for demos but I'm having a hard time understanding what rxTools and emuNAND is/does, is that for cfw?
     
  15. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    emuNAND, in simple terms, is a way of running your 3DS off your SD card (hence why it's called "emu" NAND, it emulates your 3DS's NAND on SD). Any firmware updates, friend list updates, etc., all get put onto your SD card instead of your actual 3DS. But you can only use it on 9.2 and below at the moment.

    rxTools is a bunch of tools for decrypting ROMs, updating your firmware, and other things, but it also includes the ability to run an emuNAND. It also only works on 9.2 and below.

    The reason they only work on 9.2 and below is that there is no public kernel hack for 9.3 and higher yet.
     
  16. StriderVM

    StriderVM GBAtemp Fan

    Member
    424
    87
    Jan 16, 2015
    Ahh, sorry for that.

    Yes, rxTools is a CFW, it allows you to download CIA games (Which is kinda a local copy of e-shop games either legit or converted from retail carts.)
    and install them.

    emuNAND is basically a firmware that is run from the SD Card rather than inside the 3DS. So you can safely update it without needing to update from your real 3DS.
     
  17. zainichi
    OP

    zainichi Member

    Newcomer
    16
    2
    Oct 8, 2015
    ooh. if this would be implemented on latest firmware that would be sweet. Thanks for the heads up guys! The topic became somewhat derailed but I had fun in learning these things.

    I kinda wanted to be in 9.2 now but that won't work/happen now, I'll be waiting for the updates of rxTools and emuNAND.
     
  18. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    You're welcome. I wouldn't count on it happening anytime soon, it took quite a while for a kernel exploit to be released above 4.5 back in the day. If you plan on holding out for some future hack, then I'd say stop updating for now.